Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226500 - Merge Review: totem
Summary: Merge Review: totem
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:11 UTC by Nobody's working on this, feel free to take it
Modified: 2010-11-11 06:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-11 06:45:44 UTC
panemade: fedora-review+


Attachments (Terms of Use)
spec cleanup (deleted)
2010-09-27 09:59 UTC, Parag AN(पराग)
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 21:11:58 UTC
Fedora Merge Review: totem

http://cvs.fedora.redhat.com/viewcvs/devel/totem/
Initial Owner: alexl@redhat.com

Comment 1 Alexander Larsson 2007-02-08 11:12:35 UTC
New Initial Owner: bnocera@redhat.com

Comment 2 Parag AN(पराग) 2010-09-27 09:59:10 UTC
Created attachment 449858 [details]
spec cleanup

Please review the changes, commit this or allow to commit and build this package.

Comment 3 Parag AN(पराग) 2010-09-27 10:16:11 UTC
Following are the changes proposed in above patch
1) Generally we used to have dependent packages already built in repo so I guess no need of versioned BuildRequires: and also Requires:

See,https://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

If this package needs versioned BR: and R: then please add comment in spec file

2) Guidelines shows no need to use versioned scriptlet Requires: needed. https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GConf

3)Guidelines shows no need of following in spec now as per https://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

4) Removal of Obsoletes and Provides is recommended after 2 releases
See http://fedoraproject.org/wiki/Upgrade_paths_%E2%80%94_renaming_or_splitting_packages#Do_I_need_to_Provide_my_old_package_names.3F

5) Guidelines suggests to keep timestamps of upstream installed files. So please use 
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

See https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps

6) Guidelines suggests package built above F-13 do not need %clean

See https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean

7) Updated scriptlets used as per guidelines suggested
 a) https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Scrollkeeper
says "In all current Fedora, rarian has replaced scrollkeeper. There is no scriptlet needed for rarian"
 b) https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database
 c) https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache
 d) https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GConf

8) Guidelines recommends defattr usage as 
%defattr(-, root, root,-)
See https://fedoraproject.org/wiki/Packaging/Guidelines#File_Permissions

Comment 4 Parag AN(पराग) 2010-09-28 01:25:26 UTC
ping hadess

Comment 5 Parag AN(पराग) 2010-09-29 03:30:05 UTC
hadess,
    To avoid delays in completing this merge-review process, If I will not get any reply by next Monday, I will commit this patch and build new package in rawhide.

Comment 6 Parag AN(पराग) 2010-10-04 09:10:04 UTC
Will build this tommorrow

Comment 7 Parag AN(पराग) 2010-10-05 05:12:54 UTC
Strange patch applied successfully but got build error.

Comment 8 Parag AN(पराग) 2010-10-07 10:15:46 UTC
deps are really broken in rawhide now. looks some success can be done with 2.32 totem tarball.

Comment 9 Parag AN(पराग) 2010-11-11 06:45:44 UTC
Nice to see totem build.

APPROVED.


Note You need to log in before you can comment on or make changes to this bug.